Corrections erreurs mysql et libopenjpeg
authorhugo <hugo@364a67c3-989e-7be9-548d-dae8560ea662>
Wed, 10 Feb 2010 06:29:47 +0000 (06:29 +0000)
committerhugo <hugo@364a67c3-989e-7be9-548d-dae8560ea662>
Wed, 10 Feb 2010 06:29:47 +0000 (06:29 +0000)
stage3/cis-git [new file with mode: 0755]
stage3/cis-libopenjpeg [new file with mode: 0755]
stage3/stage3-install
sysinfos

diff --git a/stage3/cis-git b/stage3/cis-git
new file mode 100755 (executable)
index 0000000..5ae0711
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+decompress_package ${GIT_MANPAGES} /usr/share/man
+
+exit $?
diff --git a/stage3/cis-libopenjpeg b/stage3/cis-libopenjpeg
new file mode 100755 (executable)
index 0000000..07fce86
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+make
+make install
+
+exit $?
index bf8d7a5..511bc41 100755 (executable)
@@ -39,7 +39,7 @@ if [ "x${USE_DYNAMIC_DNS}" = "xyes" ]; then
 fi
 ipkg_ac_nb ${LIBPCAP}
 ipkg_ac    ${TCPDUMP}
-ipkg_ac_nb ${NMAP}
+ipkg_ac_nb ${NMAP} --without-nmapfe
 ipkg_cust  ${BIND} cis-bind
 ipkg_cust  ${IPTABLES} cis-iptables
 
@@ -51,21 +51,20 @@ ipkg_cust  ${ZIP}   cis-zip
 ipkg_cust  ${UNZIP} cis-unzip
 ipkg_cust  ${UNRAR} cis-unrar
 ipkg_ac    ${CPIO}
-ipkg_ac    ${PARTED}
+ipkg_ac    ${PARTED} --disable-device-mapper
 ipkg_ac    ${CURL}
 ipkg_ac    ${RSYNC}
 ipkg_ac    ${ED}
-ipkg_ac    ${BC} "--with-readline"
+ipkg_ac    ${BC} --with-readline
 INIT_D_PATH=/etc/rc.d/init.d \
     ipkg_ac_nb ${FUSE}
 ipkg_cust  ${DOSFSTOOLS} cis-dosfstools
-ipkg_ac    ${CVS} "--disable-server"
-ipkg_ac_nb ${GIT}
-rscr once "Installing ${GIT_MANPAGES}" decompress_package ${GIT_MANPAGES} /usr/share/man
+ipkg_ac    ${CVS} --disable-server
+ipkg_cust  ${GIT} cis-git
 
 # Graphic libraries without X-Window dependencies
 ipkg_ac    ${LIBJPEG} "--enable-static --enable-shared"
-ipkg_ac    ${LIBOPENJPEG}
+ipkg_cust  ${LIBOPENJPEG} cis-libopenjpeg
 ipkg_ac    ${LIBPNG}
 ipkg_ac    ${LIBART}
 ipkg_ac    ${LIBEXIF}
index 6757b83..5125c05 100644 (file)
--- a/sysinfos
+++ b/sysinfos
@@ -63,23 +63,11 @@ LAN_NETWORK_MASK="192.168.0.0/24" # Utilise par sane in stage3
 # service.
 USE_DYNAMIC_DNS="no"
 
-# Network interface card eth0 settings (ROUTEUR/INTERNET)
-BOOTPROTO[0]="static"
-IP_ADDRESS[0]="192.168.1.2"
-PREFIX_LENGTH[0]=24
-
-# Network interface card eth1 settings (LAN)
-BOOTPROTO[1]="static"
-IP_ADDRESS[1]="192.168.0.1"
-PREFIX_LENGTH[1]=24
-
-# Network interface card eth2 settings (MVPMC)
-BOOTPROTO[2]="static"
-IP_ADDRESS[2]="192.168.99.1"
-PREFIX_LENGTH[2]=24
+# Network interface card eth0 settings
+BOOTPROTO[0]="dhcp"
 
 # DNS servers addresses (not required if using DHCP)
-NAMESERVER[0]="192.168.1.1"
+#NAMESERVER[0]="192.168.1.1"
 
 # Define this if you want the mail addressed to the root user automatically
 # be forwarded to someone else